Bug Hunting Session
Bug 78920 - "Number %NUMBERINGSAMPLE" in tooltip
Summary: "Number %NUMBERINGSAMPLE" in tooltip
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0
Keywords: difficultyBeginner, easyHack, topicUI
Depends on:
Blocks:
 
Reported: 2014-05-19 17:09 UTC by Andras Timar
Modified: 2016-02-18 16:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2014-05-19 17:09:37 UTC
Writer - Format - Bullets and Numbering, Numbering type tab, first item. The tooltip is "Number %NUMBERINGSAMPLE" instead of "Number 1), 2), 3)" or whatever is set. It works well on the sidebar.

Sidebar code:
http://opengrok.libreoffice.org/xref/core/svx/source/sidebar/nbdtmg.cxx#1356

Dialog code:
http://opengrok.libreoffice.org/xref/core/svx/source/dialog/svxbmpnumvalueset.cxx#431

Create a helper function that replaces %NUMBERINGSAMPLE and use it from both places.
Comment 1 Mihkel Tõnnov 2014-05-20 21:03:01 UTC
The tooltip is okay in 3.6, so regression in a sense.
Comment 2 Björn Michaelsen 2014-05-23 12:13:20 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 3 Jason Hulme 2014-05-26 19:08:27 UTC
I looked into this and in the file:
http://opengrok.libreoffice.org/xref/core/svx/source/dialog/svxbmpnumvalueset.src
There is a set of strings for the Bullets and Numbering tooltips:
Number 1. 2. 3.
...
Uppercase letter A) B) C)

Personally, I think the sidebar's current method produces a slightly worse tooltips:
Number 1) 2) 3)
...
Number A B C

I have made a patch that simply replaces "Number %NUMBERSTRING" with the correct "Number 1) 2) 3)" and changed the sidebar to use the same tooltips, but I am not sure if this was originally done for another reason and if the %NUMBERSTRING method of creating the sidebar tooltips should be kept and used instead.
Comment 4 Andras Timar 2014-05-27 06:56:30 UTC
Maybe the current code is a bit overcomplicated. %NUMBERINGSAMPLE is supposed to be replaced by the setting in the Options tab on the Bullets and Numbering dialog. But it does not make much sense... So please go ahead with you patch. Thanks.
Comment 5 Andras Timar 2014-05-27 06:56:46 UTC
Maybe the current code is a bit overcomplicated. %NUMBERINGSAMPLE is supposed to be replaced by the setting in the Options tab on the Bullets and Numbering dialog. But it does not make much sense... So please go ahead with your patch. Thanks.
Comment 6 Commit Notification 2014-05-27 07:49:09 UTC
Jason Hulme committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ceb7ea5091bd9b862f92e853fd9f8f2542fb8b41

fdo#78920: Number %NUMBERSTRING in tooltip



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-05-27 07:51:01 UTC
Jason Hulme committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=05086b3449eeb8354fe287989122ead626268fff&h=libreoffice-4-3

fdo#78920: Number %NUMBERSTRING in tooltip


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-16 05:25:47 UTC
Migrating Whiteboard tags to Keywords: (EasyHack  DifficultyBeginner  TopicUI )
[NinjaEdit]
Comment 9 Robinson Tryon (qubit) 2016-02-18 16:37:23 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]